From dab8daf32c04b1b4c7986a49c9669425ce97c00f Mon Sep 17 00:00:00 2001
From: Nicolas Boulenguez <nicolas.boulenguez@free.fr>
Date: Sat, 30 Jul 2016 22:55:32 +0200
Subject: [PATCH 06/12] Switch existing patches to DEP-3 patch tagging
 guidelines.

---
 debian/patches/02_errno_range.diff     | 12 ++++++------
 debian/patches/03_gcc-43.diff          | 10 +++++-----
 debian/patches/04_gcc44.diff           | 15 +++++++--------
 debian/patches/05_fix_crlf.diff        | 12 ++++++------
 debian/patches/06_ftbfs_kfreebsd.patch | 17 ++++++-----------
 5 files changed, 30 insertions(+), 36 deletions(-)

diff --git a/debian/patches/02_errno_range.diff b/debian/patches/02_errno_range.diff
index a800342..41afc22 100644
--- a/debian/patches/02_errno_range.diff
+++ b/debian/patches/02_errno_range.diff
@@ -1,9 +1,9 @@
----
- src/Util.cpp |    5 ++++-
- 1 file changed, 4 insertions(+), 1 deletion(-)
+Description: floating constant exceeds range of 'double' (gcc-4.0)
+Bug-Debian: https://bugs.debian.org/285614
+Author: Andreas Jochens <aj@andaco.de>
 
---- darkice-1.2.orig/src/Util.cpp
-+++ darkice-1.2/src/Util.cpp
+--- a/src/Util.cpp
++++ b/src/Util.cpp
 @@ -87,6 +87,9 @@
  #error need signal.h
  #endif
@@ -14,7 +14,7 @@
  
  #include "Util.h"
  
-@@ -286,7 +289,7 @@ Util :: strToD( const char    * str )
+@@ -286,7 +289,7 @@
      }
  
      val = strtod( str, &s);
diff --git a/debian/patches/03_gcc-43.diff b/debian/patches/03_gcc-43.diff
index 97650f7..18a2e5d 100644
--- a/debian/patches/03_gcc-43.diff
+++ b/debian/patches/03_gcc-43.diff
@@ -1,9 +1,9 @@
----
- src/JackDspSource.cpp |    2 ++
- 1 file changed, 2 insertions(+)
+Description: allow build with gcc-4.3.
+Bug-Debian: https://bugs.debian.org/417146
+Author: Jochen Friedrich <jochen@scram.de>
 
---- darkice-1.2.orig/src/JackDspSource.cpp
-+++ darkice-1.2/src/JackDspSource.cpp
+--- a/src/JackDspSource.cpp
++++ b/src/JackDspSource.cpp
 @@ -82,6 +82,8 @@
  #error need limits.h
  #endif
diff --git a/debian/patches/04_gcc44.diff b/debian/patches/04_gcc44.diff
index ce4465b..3cff636 100644
--- a/debian/patches/04_gcc44.diff
+++ b/debian/patches/04_gcc44.diff
@@ -1,10 +1,9 @@
----
- src/JackDspSource.cpp |    4 ++++
- src/SerialUlaw.cpp    |    4 ++++
- 2 files changed, 8 insertions(+)
+Description: allow compilation with gcc 4.4.
+Bug-Debian: https://bugs.debian.org/560431
+Author: Cyril Brulebois <kibi@debian.org>
 
---- darkice-1.2.orig/src/SerialUlaw.cpp
-+++ darkice-1.2/src/SerialUlaw.cpp
+--- a/src/SerialUlaw.cpp
++++ b/src/SerialUlaw.cpp
 @@ -94,6 +94,10 @@
  #error need termios.h
  #endif
@@ -16,8 +15,8 @@
  
  #include "Util.h"
  #include "Exception.h"
---- darkice-1.2.orig/src/JackDspSource.cpp
-+++ darkice-1.2/src/JackDspSource.cpp
+--- a/src/JackDspSource.cpp
++++ b/src/JackDspSource.cpp
 @@ -82,6 +82,10 @@
  #error need limits.h
  #endif
diff --git a/debian/patches/05_fix_crlf.diff b/debian/patches/05_fix_crlf.diff
index c08be83..64c6622 100644
--- a/debian/patches/05_fix_crlf.diff
+++ b/debian/patches/05_fix_crlf.diff
@@ -1,10 +1,10 @@
----
- src/IceCast2.cpp |    2 +-
- 1 file changed, 1 insertion(+), 1 deletion(-)
+Description: wrong terminal CRLF for HTTP request.
+Bug-Debian: https://bugs.debian.org/441281
+Author: Romain Beauxis <toots@rastageeks.org>
 
---- darkice-1.2.orig/src/IceCast2.cpp
-+++ darkice-1.2/src/IceCast2.cpp
-@@ -233,7 +233,7 @@ IceCast2 :: sendLogin ( void )
+--- a/src/IceCast2.cpp
++++ b/src/IceCast2.cpp
+@@ -233,7 +233,7 @@
          sink->write( str, strlen( str));
      }
  
diff --git a/debian/patches/06_ftbfs_kfreebsd.patch b/debian/patches/06_ftbfs_kfreebsd.patch
index ed93b25..449890c 100644
--- a/debian/patches/06_ftbfs_kfreebsd.patch
+++ b/debian/patches/06_ftbfs_kfreebsd.patch
@@ -1,14 +1,9 @@
 Description: Fix FTBFS on kfreebsd.
 Author: Alessio Treglia <alessio@debian.org>
 Forwarded: no
----
- src/OpusLibEncoder.cpp      |    2 ++
- src/OpusLibEncoder.h        |    2 ++
- src/PulseAudioDspSource.cpp |    1 +
- 3 files changed, 5 insertions(+)
 
---- darkice-1.2.orig/src/OpusLibEncoder.cpp
-+++ darkice-1.2/src/OpusLibEncoder.cpp
+--- a/src/OpusLibEncoder.cpp
++++ b/src/OpusLibEncoder.cpp
 @@ -41,6 +41,8 @@
  #include "Util.h"
  #include "OpusLibEncoder.h"
@@ -18,8 +13,8 @@ Forwarded: no
  
  
  /* ===================================================  local data structures */
---- darkice-1.2.orig/src/OpusLibEncoder.h
-+++ darkice-1.2/src/OpusLibEncoder.h
+--- a/src/OpusLibEncoder.h
++++ b/src/OpusLibEncoder.h
 @@ -59,6 +59,8 @@
  #include "aflibConverter.h"
  #endif
@@ -29,8 +24,8 @@ Forwarded: no
  
  /* ================================================================ constants */
  
---- darkice-1.2.orig/src/PulseAudioDspSource.cpp
-+++ darkice-1.2/src/PulseAudioDspSource.cpp
+--- a/src/PulseAudioDspSource.cpp
++++ b/src/PulseAudioDspSource.cpp
 @@ -35,6 +35,7 @@
  /* ============================================================ include files */
  
-- 
2.8.1

